package weaver.interfaces.zhewen.cronjob;

import org.apache.commons.collections.CollectionUtils;
import weaver.common.DateUtil;
import weaver.conn.RecordSet;
import weaver.interfaces.schedule.BaseCronJob;

import java.util.ArrayList;
import java.util.List;

/**
 * @author:dxfeng
 * @createTime: 2025/03/04
 * @version: 1.0
 */
public class EmployeeRegularizationJob extends BaseCronJob {
    @Override
    public void execute() {
        RecordSet rs = new RecordSet();
        try {
            rs.writeLog("EmployeeRegularizationJob---start");
            String currentDate = DateUtil.getCurrentDate();
            List<String> userList = new ArrayList<>();
            rs.executeQuery("select xm from uf_ygzzxx where zzrq = ? ", currentDate);
            while (rs.next()) {
                userList.add(rs.getString("xm"));
            }

            if (CollectionUtils.isNotEmpty(userList)) {
                for (String user : userList) {
                    rs.writeLog(user + "==已转正");
                    rs.executeUpdate("update hrmresource set status = 1 where id = ? ", user);
                }
            } else {
                rs.writeLog(currentDate + "---未查询到数据");
            }


            rs.writeLog("EmployeeRegularizationJob---finish");
        } catch (Exception e) {
            rs.writeLog("EmployeeRegularizationJob", e);
        }
    }
}
